Create a Google Vertex AI inference endpoint

Auth

Create an inference endpoint to perform an inference task with the googlevertexai service.

Required privileges

Cluster privileges manage_inference

Path parameters

task_type enum required

The type of the inference task that the model will perform.

Values: rerank text_embedding completion chat_completion
googlevertexai_inference_id string required

The unique identifier of the inference endpoint.

Query parameters

timeout union oneOf · default: 30s

Specifies the amount of time to wait for the inference endpoint to be created.

Values: -1 0

Request body

service enum required

The type of service supported for the specified task type. In this case, googlevertexai.

Values: googlevertexai
service_settings object required

Settings used to install the inference model. These settings are specific to the googlevertexai service.

location string required

The name of the location to use for the inference task. Refer to the Google documentation for the list of supported locations.

model_id string required

The name of the model to use for the inference task. Refer to the Google documentation for the list of supported models.

project_id string required

The name of the project to use for the inference task.

service_account_json string required

A valid service account in JSON format for the Google Vertex AI API.

Response

application/json
service string required

The service type

service_settings object required

Settings specific to the service

task_settings object

Task settings specific to the service and task type

inference_id string required

The inference Id

task_type enum required

The task type

Values: text_embedding rerank